### Signal

# SpiceClientGLib SmartcardManager::reader-removed

#### Declaration

    void
    reader_removed (
      SpiceSmartcardManager* self,
      SpiceClientGLibVReader* vreader,
      gpointer user_data
    )

#### Description [src]

The `SpiceSmartcardManager::reader-removed` signal is emitted whenever a smartcard reader (software or hardware) has been removed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`vreader`

  Type: `SpiceClientGLibVReader*`

  `VReader` boxed object corresponding to the removed reader.

  The data is owned by the caller of the function.